Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl
Class GLPipelineFactory

    java.lang.Object
      javax.media.opengl.GLPipelineFactory

    public class GLPipelineFactory

extends Object

Factory for pipelining GL instances

Field Summary
`static boolean` | `DEBUG`

Constructor Summary
`GLPipelineFactory()`

Method Summary
`static GL` | `create(String pipelineClazzBaseName, Class reqInterface, GL downstream, Object[] additionalArgs)` Creates a pipelined GL instance using the given downstream `downstream` and optional arguments `additionalArgs` for the constructor. The upstream GL instance is determined as follows: Use `pipelineClazzBaseName` as the class name's full basename, incl.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static final boolean DEBUG

Constructor Detail

### GLPipelineFactory

    public GLPipelineFactory()

Method Detail

### create

    public static final GL create(String pipelineClazzBaseName,
                                  Class reqInterface,
                                  GL downstream,
                                  Object[] additionalArgs)

  Creates a pipelined GL instance using the given downstream `downstream` and optional arguments `additionalArgs` for the constructor.
  The upstream GL instance is determined as follows:
  - Use `pipelineClazzBaseName` as the class name's full basename, incl. package name
  - For the `downstream` class and it's superclasses, do:
  - For all `downstream` class and superclass interfaces, do:
  - If `reqInterface` is not null and the interface is unequal, continue loop.
  - If `downstream` is not instance of interface, continue loop.
  - If upstream class is available use it, end loop.

  Parameters:
    `pipelineClazzBaseName` - the basename of the pipline class name
    `reqInterface` - optional requested interface to be used, may be null, in which case the first matching one is used
    `downstream` - is always the 1st argument for the upstream constructor
    `additionalArgs` - additional arguments for the upstream constructor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.